﻿@model IEnumerable<EPPW.Membership.Dto.ProgramMenuDto>
<table id="ProgramMenuTable" class="table table-bordered zebra-striped dataTable table-hover table-condensed">
    <thead>
        <tr role="row">
            <th class="header" role="columnheader" tabindex="0" aria-controls="ProgramMenuTable"
                rowspan="1" colspan="1" style="width: 30px;">
                Id
            </th>
            <th class="header" role="columnheader" tabindex="0" aria-controls="ProgramMenuTable"
                rowspan="1" colspan="1" style="width: 30px;">
                ParentId
            </th>
            <th class="header" role="columnheader" tabindex="0" aria-controls="ProgramMenuTable"
                rowspan="1" colspan="1" style="width: 30px;">
                DisplaySeq
            </th>
            <th class="header" role="columnheader" tabindex="0" aria-controls="ProgramMenuTable"
                rowspan="1" colspan="1" style="width: 106px;">
                Name
            </th>
            <th class="header" role="columnheader" tabindex="0" aria-controls="ProgramMenuTable"
                rowspan="1" colspan="1" style="width: 106px;">
                Desc
            </th>
            <th class="header" role="columnheader" tabindex="0" aria-controls="ProgramMenuTable"
                rowspan="1" colspan="1" style="width: 106px;">
                Program
            </th>
            <th class="header" role="columnheader" tabindex="0" aria-controls="ProgramMenuTable"
                rowspan="1" colspan="1" style="width: 106px;">
                Program Detail
            </th>
            <th class="header" role="columnheader" tabindex="0" aria-controls="ProgramMenuTable"
                rowspan="1" colspan="1" style="width: 106px;">
            </th>
        </tr>
    </thead>
    <tbody>
        @if (Model == null)
        {
            <tr>
                <td colspan="4">
                    <p>
                        没有查询的数据。</p>
                </td>
            </tr>
        }
        else
        {
            foreach (EPPW.Membership.Dto.ProgramMenuDto item in Model)
            {
            <tr>
                <td>@Html.DisplayFor(modelItem => item.Id)
                </td>
                <td>@Html.DisplayFor(modelItem => item.ParentId)
                </td>
                <td>@Html.DisplayFor(modelItem => item.DisplaySeq)
                </td>
                <td>@Html.DisplayFor(modelItem => item.Name)
                </td>
                <td>
                    @Html.DisplayFor(modelItem => item.Description)
                </td>
                <td>
                    <button id="btnAddOrUpdateProgram" type="button" class="btn btn-small" value="{programMenuId:@item.Id,programId:@item.ProgramId}">
                        <i class='icon-plus-sign'></i>Link Program</button>
                </td>
                <td>
                    @if (item.ProgramId != 0)
                    {
                        <a href="@Url.Action("Details", "AdminProgram", new { id = item.ProgramId })" class="btn btn-small">
                            <i class='icon-list-alt'></i>@item.ProgramName </a>
                    }
                </td>
                <td>
                    <div class="btn-group">
                        <a href="@Url.Action("Edit", "AdminProgramMenu", new { id = item.Id })" class="btn btn-small " title="Edit" >
                            <i class='icon-edit'></i></a><a href="@Url.Action("Delete", "AdminProgramMenu", new { id = item.Id })" class="btn btn-small " title="Delete">
                                <i class='icon-trash'></i></a>)</div>
                </td>
           
            </tr>
            }
        }
    </tbody>
</table>
